## gspca 01.00.04

=== Makefile ===
VERSION    = 01.00.04

DEFINES    =

###
# The following flags enable experimental features.
# By default, these are enabled for development versions of the driver, and
# disabled for release versions.

# Optional: Enable driver debugging
DEFINES   += -DGSPCA_ENABLE_DEBUG

# Optional: Enable direct register read/write for PAC207 development
#DEFINES   += -DGSPCA_ENABLE_REGISTERPLAY

###
# The following flags enable features that aren't yet implemented, and
# therefore are disabled by default.

# Optional: Enable compression
DEFINES   += -DGSPCA_ENABLE_COMPRESSION

###
# Rest of Makefile follows here. You probably won't need to touch this.

# Setup defines
DEFINES   += -DCONFIG_USB_GSPCA_MODULE=1 -DMODULE -D__KERNEL__
DEFINES   += -DVID_HARDWARE_GSPCA=0xFF -DGSPCA_VERSION=\"$(VERSION)\"

ifneq ($(KERNELRELEASE),)   # We were called by kbuild
CFLAGS += $(DEFINES) 
obj-m += gspca.o
gspca-objs := gspca_core.o decoder/gspcadecoder.o 

else   # We were called from command line

KERNEL_VERSION = `uname -r`
KERNELDIR := /lib/modules/$(KERNEL_VERSION)/build
PWD  := $(shell pwd)
MODULE_INSTALLDIR = /lib/modules/$(KERNEL_VERSION)/kernel/drivers/usb/media/
MODULE_INSTALLDIR2 = /lib/modules/$(KERNEL_VERSION)/kernel/drivers/media/video/

default:
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) CC=$(CC) modules

install:
	mkdir -p $(MODULE_INSTALLDIR)
	rm -f $(MODULE_INSTALLDIR)spca5xx.ko
	rm -f $(MODULE_INSTALLDIR2)gspca.ko
	install -c -m 0644 gspca.ko $(MODULE_INSTALLDIR)
	/sbin/depmod -ae

uninstall:
	rm -f $(MODULE_INSTALLDIR)gspca.ko
	/sbin/depmod -aq

endif

############################################################################## 
# OTHER TARGETS 
##############################################################################
clean:
	rm -r -f *.o decoder/.gspcadecoder.o.cmd decoder/*.o \
	.gspca.o.cmd  *.o *.ko *.mod.* .[a-z]* core *.i \
	Modules.symvers
	
##############################################################################

## gspca 01.00.12-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION    = 01.00.04
+VERSION    = 01.00.12
 
 DEFINES    =
 
@@ -62,6 +62,6 @@
 clean:
 	rm -r -f *.o decoder/.gspcadecoder.o.cmd decoder/*.o \
 	.gspca.o.cmd  *.o *.ko *.mod.* .[a-z]* core *.i \
-	Modules.symvers
+	*.symvers *.err
 	
 ##############################################################################

=== debian/changelog ===
gspca (01.00.12-1) unstable; urgency=low

  * New upstream release. (Closes: #405104)

 -- Kel Modderman <kel@otaku42.de>  Thu, 11 Jan 2007 20:26:11 +1000

gspca (01.00.11-1) unstable; urgency=low

  * NOT UPLOADED TO ARCHIVE.
  * New upstream release.
  * Update Uploaders email address.
  * Drop obsolete patch to fix compilation with recent linux, fixes applied
    upstream.
  * Drop support for 2.4 kernels from rules.modules, gspca requires >= 2.6.11.

 -- Kel Modderman <kel@otaku42.de>  Tue,  9 Jan 2007 11:05:38 +1000

gspca (01.00.04-2) unstable; urgency=low

  * Add patch to fix compilation against 2.6.19. 

 -- Kel Modderman <kelmo@kanotixguide.org>  Sun, 15 Oct 2006 23:34:51 +1000

gspca (01.00.04-1) unstable; urgency=low

  * Initial release. (Closes: #391032)

 -- Kel Modderman <kelmo@kanotixguide.org>  Wed,  4 Oct 2006 23:45:03 +1000

=== debian/control ===
Source: gspca
Section: graphics
Priority: optional
Maintainer: Debian spca5xx Maintainers <pkg-spca5xx-devel@lists.alioth.debian.org>
Uploaders: Kel Modderman <kel@otaku42.de>, Stephen Birch <sgbirch@imsmail.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.37), bzip2, dpatch
Standards-Version: 3.7.2

Package: gspca-source
Architecture: all
Depends: debhelper (>= 5.0.37), module-assistant, bzip2
Suggests: kernel-package
Description: source for the gspca v4l kernel module
 The gpsca video for linux (v4l) driver, provides support for 
 webcams and digital cameras based on the spca5xx range of chips
 manufactured by SunPlus, Sonix, Z-star, Vimicro, Conexant, Etoms,
 Mars-semi, Pixart and Transvision.
 .
 The gspca driver is a rewrite of the well known spca5xx v4l kernel
 module from the same author, Michel Xhaard.
 .
 This package provides the source code for the gspca kernel modules.
 Kernel source or headers are required to compile these modules. For
 basic install steps see /usr/share/doc/gspca-source/README.Debian.gz
 .
 http://mxhaard.free.fr/index.html

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/dpatch.mk

install/gspca-source::
	# Enforce executable bit on debian/rules, and create
	# directory structure for modules source
	install -D -m 0755 debian/rules.modules \
		debian/tmp/modules/gspca/debian/rules
	
	# Prepare the other debian stuff
	for f in *.modules.in control compat copyright changelog; do \
		install -m 0644 debian/$$f \
			debian/tmp/modules/gspca/debian/; \
	done
	
	# Prepare upstream source
	find . -path ./debian/\* -type d -prune -o -printf "%P\n" | \
		egrep -v 'debian|*.err' | \
		cpio -admp debian/tmp/modules/gspca/
		
	# Prepare the debian source tarball
	tar jcf debian/gspca-source/usr/src/gspca-source.tar.bz2 \
		-C debian/tmp modules

## gspca 01.00.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION    = 01.00.12
+VERSION    = 01.00.16
 
 DEFINES    =

## gspca 01.00.18-2

=== debian/changelog ===
gspca (01.00.18-2) unstable; urgency=low

  * Drop -source from source tarball name. (Closes: #446215)
  * Use Homepage field of debian/control.
  * Update Vcs control field to new syntax.

 -- Kel Modderman <kel@otaku42.de>  Wed, 17 Oct 2007 16:20:56 +1000

gspca (01.00.18-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Remove dpatch build-dependency.
  * No longer clean *.symvers in rules.modules, upstream does this now.
  * Update debian/copyright for new email address and additional
    file/copyright holder.
  * Whitespace removal.
  * Add XS-Vcs-* fields to debian/control.
  * Indent and prepend "Homepage:" to url in tail of long description.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 10:33:28 -0300

gspca (01.00.16-1-1) unstable; urgency=low

  * New upstream release.
    - does not use $ in code, allows arm (and probably others) to compile.
      (Closes: #416489)

 -- Kel Modderman <kel@otaku42.de>  Wed, 02 May 2007 23:06:24 +1000

=== debian/control ===
Source: gspca
Section: graphics
Priority: optional
Maintainer: Debian spca5xx Maintainers <pkg-spca5xx-devel@lists.alioth.debian.org>
Uploaders: Kel Modderman <kel@otaku42.de>, Stephen Birch <sgbirch@imsmail.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.37), bzip2
Standards-Version: 3.7.2
Vcs-Svn: svn://svn.debian.org/pkg-spca5xx/gspca/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-spca5xx/gspca/trunk/
Homepage: http://mxhaard.free.fr/index.html

Package: gspca-source
Architecture: all
Depends: debhelper (>= 5.0.37), module-assistant, bzip2
Suggests: kernel-package
Description: source for the gspca v4l kernel module
 The gpsca video for linux (v4l) driver, provides support for
 webcams and digital cameras based on the spca5xx range of chips
 manufactured by SunPlus, Sonix, Z-star, Vimicro, Conexant, Etoms,
 Mars-semi, Pixart and Transvision.
 .
 The gspca driver is a rewrite of the well known spca5xx v4l kernel
 module from the same author, Michel Xhaard.
 .
 This package provides the source code for the gspca kernel modules.
 Kernel source or headers are required to compile these modules. For
 basic install steps see /usr/share/doc/gspca-source/README.Debian.gz

## gspca 01.00.20-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION    = 01.00.16
+VERSION    = 01.00.20
 
 DEFINES    =
 
@@ -28,7 +28,7 @@
 DEFINES   += -DVID_HARDWARE_GSPCA=0xFF -DGSPCA_VERSION=\"$(VERSION)\"
 
 ifneq ($(KERNELRELEASE),)   # We were called by kbuild
-CFLAGS += $(DEFINES) 
+EXTRA_CFLAGS += $(DEFINES) 
 obj-m += gspca.o
 gspca-objs := gspca_core.o decoder/gspcadecoder.o

=== debian/changelog ===
gspca (01.00.20-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Update to Standards-Version 3.7.3, no changes necessary.
  * Fix path to debianized module tarball in debian/README.Debian.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 09 Jan 2008 08:45:46 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian spca5xx Maintainers <pkg-spca5xx-devel@lists.alioth.debian.org>
 Uploaders: Kel Modderman <kel@otaku42.de>, Stephen Birch <sgbirch@imsmail.org>, Otavio Salvador <otavio@debian.org>
 Build-Depends: cdbs, debhelper (>= 5.0.37), bzip2
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/pkg-spca5xx/gspca/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-spca5xx/gspca/trunk/
 Homepage: http://mxhaard.free.fr/index.html

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
-  
+
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/dpatch.mk
 
 install/gspca-source::
 	# Enforce executable bit on debian/rules, and create
@@ -21,5 +20,5 @@
 		cpio -admp debian/tmp/modules/gspca/
 		
 	# Prepare the debian source tarball
-	tar jcf debian/gspca-source/usr/src/gspca-source.tar.bz2 \
+	tar jcf debian/gspca-source/usr/src/gspca.tar.bz2 \
 		-C debian/tmp modules

=== debian/watch ===
version=3
http://mxhaard.free.fr/spca50x/Download/gspcav\d-(.*)\.tar\.gz
